include:
  - project: 'istddevops/shared/gitlab/gohugo'
    file: '.gohugo-mod-pages.yml'

pages:
  before_script:
  # Add GO dependencies
  - apk --no-cache add git
  - apk --no-cache add go
  # Add PYTHON3 depedencies
  - apk --no-cache add python3
  - apk --no-cache add py3-pip
  - pip3 install openpyxl
  - pip3 install pyhumps
  # Run conversion script
  - python3 bizregelstohugomd.py
  artifacts:
    paths:
    - content
    - public
  only:
  - web